module LLVM.Extra.ExtensionCheck.X86 (
   sse1, sse2, sse3, ssse3, sse41, sse42,
   ) where

import qualified LLVM.Extra.Extension as Ext

subtarget :: String -> Bool -> Ext.Subtarget
subtarget name q =
   Ext.Subtarget "x86" name (return q)


-- * target specific extensions

sse1 :: Ext.Subtarget
sse1 = subtarget "sse" False

sse2 :: Ext.Subtarget
sse2 = subtarget "sse2" False

sse3 :: Ext.Subtarget
sse3 = subtarget "sse3" False

ssse3 :: Ext.Subtarget
ssse3 = subtarget "ssse3" False

sse41 :: Ext.Subtarget
sse41 = subtarget "sse41" False

sse42 :: Ext.Subtarget
sse42 = subtarget "sse42" False
